Package org.eclipse.rdf4j.sail.lucene

## Class AbstractLuceneSailIndexedPropertiesTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractLuceneSailIndexedPropertiesTest

-     public abstract class AbstractLuceneSailIndexedPropertiesTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `CONTEXT_1` |
    `static IRI` | `CONTEXT_2` |
    `static IRI` | `CONTEXT_3` |
    `static IRI` | `FOAFNAME` |
    `static IRI` | `FOAFPLAN` |
    `static IRI` | `RDFSCOMMENT` |
    `static IRI` | `RDFSLABEL` |
    `protected Repository` | `repository` |
    `protected LuceneSail` | `sail` |
    `static IRI` | `SUBJECT_1` |
    `static IRI` | `SUBJECT_2` |
    `static IRI` | `SUBJECT_3` |
    `static IRI` | `SUBJECT_4` |
    `static IRI` | `SUBJECT_5` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLuceneSailIndexedPropertiesTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `configure​(LuceneSail sail)` |
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testRegularQuery()` |
    `void` | `testTriplesStored()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sail

          protected LuceneSail sail

    - #### repository

          protected Repository repository

    - #### SUBJECT_1

          public static final IRI SUBJECT_1

    - #### SUBJECT_2

          public static final IRI SUBJECT_2

    - #### SUBJECT_3

          public static final IRI SUBJECT_3

    - #### SUBJECT_4

          public static final IRI SUBJECT_4

    - #### SUBJECT_5

          public static final IRI SUBJECT_5

    - #### CONTEXT_1

          public static final IRI CONTEXT_1

    - #### CONTEXT_2

          public static final IRI CONTEXT_2

    - #### CONTEXT_3

          public static final IRI CONTEXT_3

    - #### RDFSLABEL

          public static final IRI RDFSLABEL

    - #### RDFSCOMMENT

          public static final IRI RDFSCOMMENT

    - #### FOAFNAME

          public static final IRI FOAFNAME

    - #### FOAFPLAN

          public static final IRI FOAFPLAN

  - ### Constructor Detail

    - #### AbstractLuceneSailIndexedPropertiesTest

          public AbstractLuceneSailIndexedPropertiesTest()

  - ### Method Detail

    - #### configure

          protected abstract void configure​(LuceneSail sail)

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws IOException,
                               RepositoryException

      Throws:
        `IOException`
        `RepositoryException`

    - #### testTriplesStored

          public void testTriplesStored()
                                 throws Exception

      Throws:
        `Exception`

    - #### testRegularQuery

          public void testRegularQuery()
                                throws RepositoryException,
                                       MalformedQueryException,
                                       QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`